
  
mxm
n512
      DOUBLE PRECISION a(n,n),b(n,n),c(n,n)
      DO i=1,n-3,4
        DO j=1,n
          DO k=1,n
            c(i,j)=c(i,j)+(a(i,k)*b(k,j))
          ENDDO 
        ENDDO 
        DO j=1,n
          DO k=1,n
            c(i+1,j)=c(i+1,j)+(a(i+1,k)*b(k,j))
          ENDDO 
        ENDDO 
        DO j=1,n
          DO k=1,n
            c(i+2,j)=c(i+2,j)+(a(i+2,k)*b(k,j))
          ENDDO 
        ENDDO 
        DO j=1,n
          DO k=1,n
            c(i+3,j)=c(i+3,j)+(a(i+3,k)*b(k,j))
          ENDDO 
        ENDDO 
      ENDDO 
      i_unroll_final=i
      DO i=i_unroll_final,n
        DO j=1,n
          DO k=1,n
            c(i,j)=c(i,j)+(a(i,k)*b(k,j))
          ENDDO 
        ENDDO 
      ENDDO 
      DO i=1,n
        DO j=1,n
          DO k=1,n
            c(i,j)=c(i,j)+(a(i,k)*b(k,j))
          ENDDO 
        ENDDO 
      ENDDO 
      PRINT *,c(2,3)
      END

